# Maintainer Guide 

This file outlines the current maintainer(s) of this open source project and expectations. It also includes credits to past maintainers and the project creator. 

## Project Name 

When reference externally, please use this for the short name: 

- Production Docker deployment for Mattermost 

Please use this long name: 

- Production Docker deployment for Mattermost by the Mattermost open source project

## Maintainer(s)

The following people help to maintain this open source project: 

| Current Maintainer(s)  | Start Date    | 
|:-----------------------|:--------------|
| Pan Luo - @xcompass    | Nov 30 2015   |
| Kyâne Pichou - @pichouk| Jun 01 2017   |

In case something happens where no maintainers are able to complete their responsibilies, the following sponsoring organization can help find a new maintainer: 

| Sponsoring Organization        | Start Date    | 
|:-------------------------------|:--------------|
| Mattermost Open Source Project | Dec 04 2016   |


## Activities

The following is a guide for current, new maintainers and prospective maintainers of this open source project to get started and to understand on-going responsibilities: 

### Getting Started 

The following steps should be completed by a new maintainer 

1. **Add your name** - Create a pull request to add your name, GitHub username and start date to this document. 
2. **Subscribe to mailing lists** - To be notified of new releases and security updates of Mattermost, subscribe to the [Mattermost Security Update Mailing List](http://mattermost.us11.list-manage.com/subscribe?u=6cdba22349ae374e188e7ab8e&id=3a93eb6929) and the [Mattermost Insiders Newsletter](http://mattermost.us11.list-manage.com/subscribe?u=6cdba22349ae374e188e7ab8e&id=2add1c8034)

### Updating 

When receive a mailing list email about a new security update or major version of Mattermost being released, update the version number of this project by doing the following: 

1) In the **master branch**

- Change the [version number](https://github.com/mattermost/mattermost-docker/blob/master/app/Dockerfile#L6) to the latest release 
- Tag the repo 

2) In the **team-and-enterprise branch**

- Change the [version number](https://github.com/mattermost/mattermost-docker/blob/team-and-enterprise/app/Dockerfile#L6) to the latest release 

### Issue and Pull Request Review 

Maintainer(s) should periodically review pull requests and issues submitted to provide feedback and to merge pull request changes when the maintainer feels the change would be appropriate. 

## Credits 

PREVIOUS MAINTAINERS 

| Maintainer             | Start Date    | End Date    |
|:-----------------------|:--------------|:------------|
| Yi EungJun - @npcode   | Nov 26 2015   | Nov 30 2016 | 


CREATOR 

| Creator                | Created Date  |
|:-----------------------|:--------------|
| Yi EungJun - @npcode   | Nov 26 2015   |

